Subject: Ticket Assigned - 9562115598/ Late delivery
From: Home Box <[email-masked]>
To: [email-masked]
Date: Sat, 26 Mar 2022 07:47:45 +0000

Hi Alhamzi Mohammed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  9562115598/ Late delivery Elanz                    hello           11:32 AM, 26th Mar                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           11:32 AM, 26th Mar                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            11:32 AM, 26th Mar                     Elanz                    please can you check my order           11:32 AM, 26th Mar                     Elanz                    tracking no. FP032222001968           11:32 AM, 26th Mar                   Alhamzi                   Hi Elanz, thank you for contacting us. This's Alhamzi We would be happy to help you.           11:33 AM, 26th Mar                   Alhamzi                   Please wait while we check the details.            11:33 AM, 26th Mar                   Alhamzi                   Please confirm if the following phone number is correct: 971561893095           11:35 AM, 26th Mar                     Elanz                    yes           11:37 AM, 26th Mar                   Alhamzi                   I can see that delivery of this order has taken longer than our normal delivery time, and I am really very sorry for this delay. I know that you’ve been waiting for it.  We have forwarded your issue to our concern team. Our team is working on it. Once we will get any update we will get back to you.  Our courier partner will contact you to arrange a time for delivery. It should be with you soon.  Again, please accept our sincere apologies for this unexpected delay.           11:37 AM, 26th Mar                   Alhamzi                   Do you have any other inquiries that we can help with?           11:37 AM, 26th Mar                     Elanz                    do you have compensation for the delay delivery? the promise time was 23rd March now its already 26 March           11:38 AM, 26th Mar                     Elanz                    and this is the same issues i face the last time i made an order with homebox. terrible           11:39 AM, 26th Mar                   Alhamzi                   We apologies for the experience you had with us. We do not have a private coupons at the item           11:39 AM, 26th Mar                   Alhamzi                   Sorry for this has happened with you. surely this is not the experience we wants our customer to have.  Kindly note that we have escalated this issue to the concern team for this not to happen again.     Thank you for you understanding and cooperation           11:39 AM, 26th Mar                   Alhamzi                   Do you have any other inquiries that we can help with?           11:39 AM, 26th Mar                     Elanz                    you are always sorry for the same thing. but you are not making effort to improve your services           11:40 AM, 26th Mar                   Alhamzi                   We will forward you reply to the concern department to for quality enhancement. Kindly not that the estimated delivery time frame is within 2 days but due to some issue the delivery partner fail to keep the promise due to some reasons.     We are following up with the delivery partner to know more and to make your order of their priority           11:43 AM, 26th Mar                   Alhamzi                   Thank you for your understanding and cooperation.           11:43 AM, 26th Mar                   Alhamzi                   Do you have any other inquiries that we can help with?           11:43 AM, 26th Mar                   Alhamzi                   It was a pleasure to assist you. Thank you for shopping with us.  Have a wonderful day.           11:46 AM, 26th Mar                                          View conversation in Freshchat https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4078678